---
apiVersion: apps/v1
items:
- apiVersion: apps/v1
  kind: ReplicaSet
  metadata:
    annotations:
      deployment.kubernetes.io/desired-replicas: "1"
      deployment.kubernetes.io/max-replicas: "2"
      deployment.kubernetes.io/revision: "1"
      operator.openshift.io/spec-hash: c24f27693864b6628c3afaf3311b2a2ec27364e5643b8e4ace46966f82bc58eb
    creationTimestamp: "2025-10-27T11:30:55Z"
    generation: 1
    labels:
      app: migrator
      pod-template-hash: 9b6b5799c
    managedFields:
    - apiVersion: apps/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:deployment.kubernetes.io/desired-replicas: {}
            f:deployment.kubernetes.io/max-replicas: {}
            f:deployment.kubernetes.io/revision: {}
            f:operator.openshift.io/spec-hash: {}
          f:labels:
            .: {}
            f:app: {}
            f:pod-template-hash: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"e48b6e76-b8fc-4f77-a17b-b2b39376ad89"}: {}
        f:spec:
          f:replicas: {}
          f:selector: {}
          f:template:
            f:metadata:
              f:annotations:
                .: {}
                f:openshift.io/required-scc: {}
                f:target.workload.openshift.io/management: {}
              f:labels:
                .: {}
                f:app: {}
                f:pod-template-hash: {}
            f:spec:
              f:containers:
                k:{"name":"graceful-termination"}:
                  .: {}
                  f:args: {}
                  f:command: {}
                  f:image: {}
                  f:imagePullPolicy: {}
                  f:name: {}
                  f:resources:
                    .: {}
                    f:requests:
                      .: {}
                      f:cpu: {}
                      f:memory: {}
                  f:securityContext:
                    .: {}
                    f:allowPrivilegeEscalation: {}
                    f:capabilities:
                      .: {}
                      f:drop: {}
                    f:runAsUser: {}
                  f:terminationMessagePath: {}
                  f:terminationMessagePolicy: {}
                k:{"name":"migrator"}:
                  .: {}
                  f:args: {}
                  f:command: {}
                  f:image: {}
                  f:imagePullPolicy: {}
                  f:name: {}
                  f:resources:
                    .: {}
                    f:requests:
                      .: {}
                      f:cpu: {}
                      f:memory: {}
                  f:securityContext:
                    .: {}
                    f:allowPrivilegeEscalation: {}
                    f:capabilities:
                      .: {}
                      f:drop: {}
                    f:runAsUser: {}
                  f:terminationMessagePath: {}
                  f:terminationMessagePolicy: {}
              f:dnsPolicy: {}
              f:priorityClassName: {}
              f:restartPolicy: {}
              f:schedulerName: {}
              f:securityContext:
                .: {}
                f:runAsNonRoot: {}
                f:seccompProfile:
                  .: {}
                  f:type: {}
              f:serviceAccount: {}
              f:serviceAccountName: {}
              f:terminationGracePeriodSeconds: {}
              f:tolerations: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-27T11:30:55Z"
    - apiVersion: apps/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          f:availableReplicas: {}
          f:fullyLabeledReplicas: {}
          f:observedGeneration: {}
          f:readyReplicas: {}
          f:replicas: {}
      manager: kube-controller-manager
      operation: Update
      subresource: status
      time: "2025-10-27T12:18:03Z"
    name: migrator-9b6b5799c
    namespace: openshift-kube-storage-version-migrator
    ownerReferences:
    - apiVersion: apps/v1
      blockOwnerDeletion: true
      controller: true
      kind: Deployment
      name: migrator
      uid: e48b6e76-b8fc-4f77-a17b-b2b39376ad89
    resourceVersion: "39500"
    uid: 24af76df-9e7c-4f7a-b7af-2574fbc58717
  spec:
    replicas: 1
    selector:
      matchLabels:
        app: migrator
        pod-template-hash: 9b6b5799c
    template:
      metadata:
        annotations:
          openshift.io/required-scc: nonroot-v2
          target.workload.openshift.io/management: '{"effect": "PreferredDuringScheduling"}'
        creationTimestamp: null
        labels:
          app: migrator
          pod-template-hash: 9b6b5799c
      spec:
        containers:
        - args:
          - |-
            trap 'echo "Termination signal received, but ignored. Continuing..."; sleep infinity' TERM
            migrator "$@" & wait $!
          - bash
          - --alsologtostderr
          - --v=2
          command:
          - /bin/bash
          - -c
          image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:a9f841339f2f23dfb3b020b70bc4f41354440be62530e4969caf014997d2a558
          imagePullPolicy: IfNotPresent
          name: migrator
          resources:
            requests:
              cpu: 10m
              memory: 200Mi
          securityContext:
            allowPrivilegeEscalation: false
            capabilities:
              drop:
              - ALL
            runAsUser: 1001
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: FallbackToLogsOnError
        - args:
          - |-
            trap 'echo "Gracefully sleeping for 25s to let another pod start..."; sleep 25; exit' EXIT
            while true; do echo "Waiting for termination..."; sleep 3600 & wait $!; done
          command:
          - /bin/bash
          - -c
          image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:a9f841339f2f23dfb3b020b70bc4f41354440be62530e4969caf014997d2a558
          imagePullPolicy: IfNotPresent
          name: graceful-termination
          resources:
            requests:
              cpu: 1m
              memory: 1Mi
          securityContext:
            allowPrivilegeEscalation: false
            capabilities:
              drop:
              - ALL
            runAsUser: 1001
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: FallbackToLogsOnError
        dnsPolicy: ClusterFirst
        priorityClassName: system-cluster-critical
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext:
          runAsNonRoot: true
          seccompProfile:
            type: RuntimeDefault
        serviceAccount: kube-storage-version-migrator-sa
        serviceAccountName: kube-storage-version-migrator-sa
        terminationGracePeriodSeconds: 30
        tolerations:
        - effect: NoSchedule
          key: node-role.kubernetes.io/master
          operator: Exists
        - effect: NoExecute
          key: node.kubernetes.io/unreachable
          operator: Exists
          tolerationSeconds: 120
        - effect: NoExecute
          key: node.kubernetes.io/not-ready
          operator: Exists
          tolerationSeconds: 120
  status:
    availableReplicas: 1
    fullyLabeledReplicas: 1
    observedGeneration: 1
    readyReplicas: 1
    replicas: 1
kind: ReplicaSetList
metadata:
  resourceVersion: "2220252"
